<?php if(!defined('IN_SDCMS')) exit;?><!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="renderer" content="webkit">
<title>字段管理</title>
<link rel="stylesheet" href="{WEB_ROOT}public/css/ui.css">
<link rel="stylesheet" href="{WEB_ROOT}public/admin/css/layout.css">
<script src="{WEB_ROOT}public/js/jquery.js"></script>
<script src="{WEB_ROOT}public/js/ui.js"></script>
</head>

<body>
    <div class="position">当前位置：栏目管理 > <a href="{U('form/index')}">表单管理</a> > <a href="{THIS_LOCAL}">{$ftitle}</a> > 字段管理</div>
    <div class="border">
        <!---->
        <a href="{U('add',"fid=".$fid."")}" class="btn btn-info mr-sm">添加字段</a>
        <form method="post" class="ui-form">
        <table class="table table-border table-hover table-striped mt mb">
            <thead class="thead-gray">
                <tr>
                    <th width="80">排序</th>
                    <th width="80">字段ID</th>
                    <th>字段名称</th>
                    <th width="150">Key</th>
                    <th width="120">类型</th>
                    <th width="100">列表显示</th>
                    <th width="80">状态</th>
                    <th width="160">操作</th>
                </tr>
            </thead>
            <tbody>
            {sdcms:rs top="0" table="sd_form_field" where="form_id=$fid" order="ordnum,id"}
            {rs:eof}<tr>
                <td colspan="8">暂无资料</td>
            </tr>
            {/rs:eof}
            <tr>
                <td><input type="hidden" name="mid[]" value="{$rs[id]}"><input type="text" name="ordnum[]" class="form-ip" id="ordnum_{$rs[id]}" value="{$rs[ordnum]}" data-rule="required;int;"></td>
                <td>{$rs[id]}</td>
                <td class="text-left">{$rs[field_title]}</td>
                <td>{$rs[field_key]}</td>
                <td>
                {switch $rs[field_type]}
                {case 1}普通文本{/case}
                {case 2}普通文本-日期{/case}
                {case 3}普通文本-整数{/case}
                {case 4}普通文本-价格{/case}
                {case 5}普通文本-上传{/case}
                {case 6}普通文本-密码{/case}
                {case 7}普通文本-隐藏域{/case}
                {case 8}多行文本框{/case}
                {case 9}单选按钮{/case}
                {case 10}复选框{/case}
                {case 11}下拉菜单{/case}
                {case 12}编辑器{/case}
                {case 13}图集{/case}
                {case 14}数据集{/case}
                {/switch}</td>
                <td><label class="switch switch-info"><input type="checkbox" {if $rs[islist]==1} checked{/if} data-url="{U('switchs','type=1&id='.$rs[id].'')}"><span class="switch-checkbox switch-text"></span></label></td>
                <td><label class="switch switch-info"><input type="checkbox" {if $rs[islock]==1} checked{/if} data-url="{U('switchs','type=2&id='.$rs[id].'')}"><span class="switch-checkbox switch-text"></span></label></td>
                <td><a href="{U('edit',"id=".$rs[id]."")}"><span class="ui-icon-edit"></span> 编辑</a>　<a href="javascript:;" class="del" data-url="{U('del','id='.$rs[id].'')}"><span class="ui-icon-delete"></span> 删除</a></td>
            </tr>
            {/sdcms:rs}
            </tbody>
        </table>
        {if $total_rs>0}
        <button type="submit" class="btn btn-yellow">保存排序</button>
        {/if}
        </form>
        <!---->
    </div>

<script>
$(function()
{
	$('.switch input[type=checkbox]').on('click',function()
	{
		var url=$(this).attr("data-url");
		var result=($(this).is(':checked'))?1:0;
		$.ajax(
		{
			url:url,
			type:"post",
			dataType:'json',
			data:"state="+result,
			error:function(e){alert(e.responseText);},
			success:function(d)
			{
				if(d.state=='success')
				{
					sdcms.success(d.msg);
				}
				else
				{
					sdcms.error(d.msg);
				}
			}
		});
	});
	$(".ui-form").form(
	{
		type:2,
		result:function(form)
		{
			$.ajax(
			{
                type:'post',
                cache:false,
                dataType:'json',
                url:'{THIS_LOCAL}',
                data:$(form).serialize(),
                error:function(e){alert(e.responseText);},
                success:function(d)
                {
                    if(d.state=='success')
                    {
                        sdcms.success(d.msg);
                        setTimeout(function(){location.href='{THIS_LOCAL}';},1500);
                    }
                    else
                    {
                        sdcms.error(d.msg);
                    }
                }
            });
		}
	});
	$(".del").click(function()
	{
		var url=$(this).attr("data-url");
		$.dialog(
		{
			'title':"操作提示",
			'text':"确定要删除？不可恢复！",
			'oktheme':'btn-info',
			'ok':function(e)
			{
				$.ajax(
				{
                    url:url,type:'post',dataType:'json',
					error:function(e){alert(e.responseText);},
                    success:function(d)
                    {
                        e.close();
                        if(d.state=='success')
                        {
                            sdcms.success(d.msg);
                            setTimeout(function(){location.href='{THIS_LOCAL}';},1000);
                        }
                        else
                        {
                            sdcms.error(d.msg);
                        }
                    }
                });
			}
		});
    });
})
</script>
</body>
</html>